From 46f87e52c1b1de903977480838d346e37d1be567 Mon Sep 17 00:00:00 2001
From: Dilip Kumar <dilipkumar@localhost.localdomain>
Date: Sun, 21 Mar 2021 09:08:47 +0530
Subject: [PATCH v1] fix compression test

---
 src/test/regress/expected/compression.out   | 2 ++
 src/test/regress/expected/compression_1.out | 2 ++
 src/test/regress/sql/compression.sql        | 3 +++
 3 files changed, 7 insertions(+)

diff --git a/src/test/regress/expected/compression.out b/src/test/regress/expected/compression.out
index 3de2886..15af027 100644
--- a/src/test/regress/expected/compression.out
+++ b/src/test/regress/expected/compression.out
@@ -1,4 +1,5 @@
 \set HIDE_TOAST_COMPRESSION false
+SET default_toast_compression = 'pglz';
 -- test creating table with compression method
 CREATE TABLE cmdata(f1 text COMPRESSION pglz);
 CREATE INDEX idx ON cmdata(f1);
@@ -245,6 +246,7 @@ CREATE TABLE cmdata2 (f1 text);
 --------+------+-----------+----------+---------+----------+-------------+--------------+-------------
  f1     | text |           |          |         | extended | lz4         |              | 
 
+SET default_toast_compression = 'pglz';
 -- test alter compression method
 ALTER TABLE cmdata ALTER COLUMN f1 SET COMPRESSION lz4;
 INSERT INTO cmdata VALUES (repeat('123456789', 4004));
diff --git a/src/test/regress/expected/compression_1.out b/src/test/regress/expected/compression_1.out
index 40aad81..8842997 100644
--- a/src/test/regress/expected/compression_1.out
+++ b/src/test/regress/expected/compression_1.out
@@ -1,4 +1,5 @@
 \set HIDE_TOAST_COMPRESSION false
+SET default_toast_compression = 'pglz';
 -- test creating table with compression method
 CREATE TABLE cmdata(f1 text COMPRESSION pglz);
 CREATE INDEX idx ON cmdata(f1);
@@ -241,6 +242,7 @@ CREATE TABLE cmdata2 (f1 text);
 --------+------+-----------+----------+---------+----------+-------------+--------------+-------------
  f1     | text |           |          |         | extended | pglz        |              | 
 
+SET default_toast_compression = 'pglz';
 -- test alter compression method
 ALTER TABLE cmdata ALTER COLUMN f1 SET COMPRESSION lz4;
 ERROR:  unsupported LZ4 compression method
diff --git a/src/test/regress/sql/compression.sql b/src/test/regress/sql/compression.sql
index d97e26b..1280fa4 100644
--- a/src/test/regress/sql/compression.sql
+++ b/src/test/regress/sql/compression.sql
@@ -1,5 +1,7 @@
 \set HIDE_TOAST_COMPRESSION false
 
+SET default_toast_compression = 'pglz';
+
 -- test creating table with compression method
 CREATE TABLE cmdata(f1 text COMPRESSION pglz);
 CREATE INDEX idx ON cmdata(f1);
@@ -100,6 +102,7 @@ SET default_toast_compression = 'lz4';
 DROP TABLE cmdata2;
 CREATE TABLE cmdata2 (f1 text);
 \d+ cmdata2
+SET default_toast_compression = 'pglz';
 
 -- test alter compression method
 ALTER TABLE cmdata ALTER COLUMN f1 SET COMPRESSION lz4;
-- 
1.8.3.1

